searchNodes=[{"ref":"Verk.html","title":"Verk","type":"module","doc":"Verk is a job processing system that integrates well with Sidekiq jobs Each queue will have a pool of workers handled by poolboy that will process jobs. Verk has a retry mechanism similar to Sidekiq that keeps retrying the jobs with a reasonable backoff. It has an API that provides information about the queues"},{"ref":"Verk.html#add_queue/2","title":"Verk.add_queue/2","type":"function","doc":"Add a new queue with a pool of size size of workers"},{"ref":"Verk.html#enqueue/2","title":"Verk.enqueue/2","type":"function","doc":"Enqueues a Job to the specified queue returning the respective job id The job must have: a valid queue a list of args to perform a module to perform (class) a valid jid Optionally a Redix server can be passed which defaults to Verk.Redis"},{"ref":"Verk.html#pause_queue/1","title":"Verk.pause_queue/1","type":"function","doc":"See Verk.Manager.pause/1."},{"ref":"Verk.html#remove_queue/1","title":"Verk.remove_queue/1","type":"function","doc":"Remove queue from the list of queues that are being processed"},{"ref":"Verk.html#resume_queue/1","title":"Verk.resume_queue/1","type":"function","doc":"See Verk.Manager.resume/1."},{"ref":"Verk.html#schedule/3","title":"Verk.schedule/3","type":"function","doc":"Schedules a Job to the specified queue returning the respective job id The job must have: a valid queue a list of args to perform a module to perform (class) a valid jid Optionally a Redix server can be passed which defaults to Verk.Redis"},{"ref":"Verk.DeadSet.html","title":"Verk.DeadSet","type":"module","doc":"This module interacts with jobs in the dead set. Set config :verk, max_dead_jobs: value on your config file to set the max amount of dead jobs to be stored on your dead queue. Defaults at 100."},{"ref":"Verk.DeadSet.html#add/3","title":"Verk.DeadSet.add/3","type":"function","doc":"Adds a job to the dead set ordering by timestamp Optionally a redis connection can be specified"},{"ref":"Verk.DeadSet.html#add!/3","title":"Verk.DeadSet.add!/3","type":"function","doc":"Adds a job to the dead set ordering by timestamp, raising if there&#39;s an error Optionally a redis connection can be specified"},{"ref":"Verk.DeadSet.html#clear/1","title":"Verk.DeadSet.clear/1","type":"function","doc":"Clears the dead set"},{"ref":"Verk.DeadSet.html#clear!/1","title":"Verk.DeadSet.clear!/1","type":"function","doc":"Clears the dead set, raising if there&#39;s an error"},{"ref":"Verk.DeadSet.html#count/1","title":"Verk.DeadSet.count/1","type":"function","doc":"Counts how many jobs are inside the dead set"},{"ref":"Verk.DeadSet.html#count!/1","title":"Verk.DeadSet.count!/1","type":"function","doc":"Counts how many jobs are inside the dead set, raising if there&#39;s an error"},{"ref":"Verk.DeadSet.html#delete_job/2","title":"Verk.DeadSet.delete_job/2","type":"function","doc":"Delete the job from the dead set"},{"ref":"Verk.DeadSet.html#delete_job!/2","title":"Verk.DeadSet.delete_job!/2","type":"function","doc":"Delete the job from the dead set, raising if there&#39;s an exception"},{"ref":"Verk.DeadSet.html#key/0","title":"Verk.DeadSet.key/0","type":"function","doc":"Redis dead set key"},{"ref":"Verk.DeadSet.html#range/3","title":"Verk.DeadSet.range/3","type":"function","doc":"List jobs from start to stop"},{"ref":"Verk.DeadSet.html#range!/3","title":"Verk.DeadSet.range!/3","type":"function","doc":"List jobs from start to stop, raising if there&#39;s an error"},{"ref":"Verk.EventProducer.html","title":"Verk.EventProducer","type":"module","doc":"A GenStage producer that broadcasts events to subscribed consumers."},{"ref":"Verk.EventProducer.html#async_notify/1","title":"Verk.EventProducer.async_notify/1","type":"function","doc":""},{"ref":"Verk.EventProducer.html#handle_cast/2","title":"Verk.EventProducer.handle_cast/2","type":"function","doc":"Invoked to handle asynchronous cast/2 messages. request is the request message sent by a cast/2 and state is the current state of the GenStage. Returning {:noreply, [event], new_state} dispatches the events and continues the loop with new state new_state. Returning {:noreply, [event], new_state, :hibernate} is similar to {:noreply, new_state} except the process is hibernated before continuing the loop. See the return values for GenServer.handle_call/3 for more information on hibernation. Returning {:stop, reason, new_state} stops the loop and terminate/2 is called with the reason reason and state new_state. The process exits with reason reason. If this callback is not implemented, the default implementation by use GenStage will return {:stop, {:bad_cast, request}, state}. Callback implementation for GenStage.handle_cast/2."},{"ref":"Verk.EventProducer.html#handle_demand/2","title":"Verk.EventProducer.handle_demand/2","type":"function","doc":"Invoked on :producer stages. This callback is invoked on :producer stages with the demand from consumers/dispatcher. The producer that implements this callback must either store the demand, or return the amount of requested events. Must always be explicitly implemented by :producer stages. Examples def handle_demand(demand, state) do # We check if we&#39;re able to satisfy the demand and fetch # events if we aren&#39;t. events = if length(state.events) &gt;= demand do state.events else # fetch_events() end # We dispatch only the requested number of events. {to_dispatch, remaining} = Enum.split(events, demand) {:noreply, to_dispatch, %{state | events: remaining}} end Callback implementation for GenStage.handle_demand/2."},{"ref":"Verk.EventProducer.html#init/1","title":"Verk.EventProducer.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 (or start/3) will block until this callback returns. args is the argument term (second argument) passed to start_link/3 (or start/3). In case of successful start, this callback must return a tuple where the first element is the stage type, which is one of: :producer :consumer :producer_consumer (if the stage is acting as both) For example: def init(args) do {:producer, some_state} end The returned tuple may also contain 3 or 4 elements. The third element may be the :hibernate atom or a set of options defined below. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling terminate/2. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling terminate/2. Options This callback may return options. Some options are specific to the chosen stage type while others are shared across all types. :producer options :demand - when :forward, the demand is always forwarded to the c:handle_demand/2 callback. When :accumulate, demand is accumulated until its mode is set to :forward via demand/2. This is useful as a synchronization mechanism, where the demand is accumulated until all consumers are subscribed. Defaults to :forward. :producer and :producer_consumer options :buffer_size - the size of the buffer to store events without demand. Can be :infinity to signal no limit on the buffer size. Check the &quot;Buffer events&quot; section of the module documentation. Defaults to 10_000 for :producer, :infinity for :producer_consumer. :buffer_keep - returns whether the :first or :last entries should be kept on the buffer in case the buffer size is exceeded. Defaults to :last. :dispatcher - the dispatcher responsible for handling demands. Defaults to GenStage.DemandDispatch. May be either an atom representing a dispatcher module or a two-element tuple with the dispatcher module and the dispatcher options. :consumer and :producer_consumer options :subscribe_to - a list of producers to subscribe to. Each element represents either the producer module or a tuple with the producer module and the subscription options (as defined in sync_subscribe/2). Callback implementation for GenStage.init/1."},{"ref":"Verk.EventProducer.html#start_link/0","title":"Verk.EventProducer.start_link/0","type":"function","doc":""},{"ref":"Verk.EventProducer.html#stop/0","title":"Verk.EventProducer.stop/0","type":"function","doc":""},{"ref":"Verk.Events.html","title":"Verk.Events","type":"module","doc":"Events generated while jobs are being processed"},{"ref":"Verk.Events.JobFailed.html","title":"Verk.Events.JobFailed","type":"module","doc":"When a job fails this event is generated"},{"ref":"Verk.Events.JobFailed.html#t:t/0","title":"Verk.Events.JobFailed.t/0","type":"type","doc":""},{"ref":"Verk.Events.JobFinished.html","title":"Verk.Events.JobFinished","type":"module","doc":"When a job finishes this event is generated"},{"ref":"Verk.Events.JobFinished.html#t:t/0","title":"Verk.Events.JobFinished.t/0","type":"type","doc":""},{"ref":"Verk.Events.JobStarted.html","title":"Verk.Events.JobStarted","type":"module","doc":"When a job starts this event is generated"},{"ref":"Verk.Events.JobStarted.html#t:t/0","title":"Verk.Events.JobStarted.t/0","type":"type","doc":""},{"ref":"Verk.Events.QueuePaused.html","title":"Verk.Events.QueuePaused","type":"module","doc":"When a queue paused"},{"ref":"Verk.Events.QueuePaused.html#t:t/0","title":"Verk.Events.QueuePaused.t/0","type":"type","doc":""},{"ref":"Verk.Events.QueuePausing.html","title":"Verk.Events.QueuePausing","type":"module","doc":"When a queue is pausing"},{"ref":"Verk.Events.QueuePausing.html#t:t/0","title":"Verk.Events.QueuePausing.t/0","type":"type","doc":""},{"ref":"Verk.Events.QueueRunning.html","title":"Verk.Events.QueueRunning","type":"module","doc":"When a queue is running"},{"ref":"Verk.Events.QueueRunning.html#t:t/0","title":"Verk.Events.QueueRunning.t/0","type":"type","doc":""},{"ref":"Verk.InProgressQueue.html","title":"Verk.InProgressQueue","type":"module","doc":"This module interacts with the in progress queue"},{"ref":"Verk.InProgressQueue.html#enqueue_in_progress/3","title":"Verk.InProgressQueue.enqueue_in_progress/3","type":"function","doc":""},{"ref":"Verk.Job.html","title":"Verk.Job","type":"module","doc":"The Job struct. Set config :verk, max_retry_count: value on your config file to set the default max amount of retries on all your Verk.Job when none is informed. Defaults at 25."},{"ref":"Verk.Job.html#decode/1","title":"Verk.Job.decode/1","type":"function","doc":"Decode the JSON payload storing the original json as part of the struct."},{"ref":"Verk.Job.html#decode!/1","title":"Verk.Job.decode!/1","type":"function","doc":"Decode the JSON payload storing the original json as part of the struct, raising if there is an error"},{"ref":"Verk.Job.html#default_max_retry_count/0","title":"Verk.Job.default_max_retry_count/0","type":"function","doc":""},{"ref":"Verk.Job.html#encode!/1","title":"Verk.Job.encode!/1","type":"function","doc":"Encode the struct to a JSON string, raising if there is an error"},{"ref":"Verk.Job.html#t:t/0","title":"Verk.Job.t/0","type":"type","doc":""},{"ref":"Verk.Log.html","title":"Verk.Log","type":"module","doc":"Helper module to log when a job starts, fails or finishes."},{"ref":"Verk.Log.html#done/3","title":"Verk.Log.done/3","type":"function","doc":""},{"ref":"Verk.Log.html#fail/3","title":"Verk.Log.fail/3","type":"function","doc":""},{"ref":"Verk.Log.html#start/2","title":"Verk.Log.start/2","type":"function","doc":""},{"ref":"Verk.Manager.html","title":"Verk.Manager","type":"module","doc":"A process that manages the state of each started queue"},{"ref":"Verk.Manager.html#add/2","title":"Verk.Manager.add/2","type":"function","doc":"It adds the queue running with the amount of size of workers It always returns the child spec"},{"ref":"Verk.Manager.html#child_spec/1","title":"Verk.Manager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.Manager.html#pause/1","title":"Verk.Manager.pause/1","type":"function","doc":""},{"ref":"Verk.Manager.html#remove/1","title":"Verk.Manager.remove/1","type":"function","doc":"It removes the queue It returns :ok if successful and {:error, :not_found} otherwise"},{"ref":"Verk.Manager.html#resume/1","title":"Verk.Manager.resume/1","type":"function","doc":""},{"ref":"Verk.Manager.html#status/0","title":"Verk.Manager.status/0","type":"function","doc":"It returns the status of each queue currently [{:default, 25, :paused}, {:low_priority, 10, :running}]"},{"ref":"Verk.Manager.html#status/1","title":"Verk.Manager.status/1","type":"function","doc":"It returns the status of each queue currently [{:default, 25, :paused}, {:low_priority, 10, :running}]"},{"ref":"Verk.Node.html","title":"Verk.Node","type":"module","doc":"Node data controller"},{"ref":"Verk.Node.html#add_node_redis_command/1","title":"Verk.Node.add_node_redis_command/1","type":"function","doc":"Redis command to add a queue to the set of queues that a node is processing iex&gt; Verk.Node.add_node_redis_command(&quot;123&quot;) [&quot;SADD&quot;, &quot;verk_nodes&quot;, &quot;123&quot;]"},{"ref":"Verk.Node.html#add_queue_redis_command/2","title":"Verk.Node.add_queue_redis_command/2","type":"function","doc":"Redis command to add a queue to the set of queues that a node is processing iex&gt; Verk.Node.add_queue_redis_command(&quot;123&quot;, &quot;default&quot;) [&quot;SADD&quot;, &quot;verk:node:123:queues&quot;, &quot;default&quot;]"},{"ref":"Verk.Node.html#deregister!/2","title":"Verk.Node.deregister!/2","type":"function","doc":""},{"ref":"Verk.Node.html#expire_in/3","title":"Verk.Node.expire_in/3","type":"function","doc":""},{"ref":"Verk.Node.html#members/3","title":"Verk.Node.members/3","type":"function","doc":""},{"ref":"Verk.Node.html#queues!/4","title":"Verk.Node.queues!/4","type":"function","doc":""},{"ref":"Verk.Node.html#ttl!/2","title":"Verk.Node.ttl!/2","type":"function","doc":""},{"ref":"Verk.Node.Manager.html","title":"Verk.Node.Manager","type":"module","doc":"NodeManager keeps track of the nodes that are working on the queues"},{"ref":"Verk.Node.Manager.html#child_spec/1","title":"Verk.Node.Manager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.Queue.html","title":"Verk.Queue","type":"module","doc":"This module interacts with a queue"},{"ref":"Verk.Queue.html#clear/1","title":"Verk.Queue.clear/1","type":"function","doc":"Clears the queue It will return {:ok, true} if the queue was cleared and {:ok, false} otherwise An error tuple may be returned if Redis failed"},{"ref":"Verk.Queue.html#clear!/1","title":"Verk.Queue.clear!/1","type":"function","doc":"Clears the queue, raising if there&#39;s an error It will return true if the queue was cleared and false otherwise"},{"ref":"Verk.Queue.html#count/1","title":"Verk.Queue.count/1","type":"function","doc":"Counts how many jobs are enqueued on a queue"},{"ref":"Verk.Queue.html#count!/1","title":"Verk.Queue.count!/1","type":"function","doc":"Counts how many jobs are enqueued on a queue, raising if there&#39;s an error"},{"ref":"Verk.Queue.html#delete_job/2","title":"Verk.Queue.delete_job/2","type":"function","doc":"Deletes the job from the queue It returns {:ok, true} if the job was found and deleted Otherwise it returns {:ok, false} An error tuple may be returned if Redis failed"},{"ref":"Verk.Queue.html#delete_job!/2","title":"Verk.Queue.delete_job!/2","type":"function","doc":"Delete job from the queue, raising if there&#39;s an error It returns true if the job was found and delete Otherwise it returns false An error will be raised if Redis failed"},{"ref":"Verk.Queue.html#range/3","title":"Verk.Queue.range/3","type":"function","doc":"Lists enqueued jobs from start to stop"},{"ref":"Verk.Queue.html#range!/3","title":"Verk.Queue.range!/3","type":"function","doc":"Lists enqueued jobs from start to stop, raising if there&#39;s an error"},{"ref":"Verk.Queue.Supervisor.html","title":"Verk.Queue.Supervisor","type":"module","doc":"Supervisor definition for a queue. It consists of: A Verk.QueueManager A poolboy pool of workers A Verk.WorkersManager"},{"ref":"Verk.Queue.Supervisor.html#child_spec/1","title":"Verk.Queue.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.QueueManager.html","title":"Verk.QueueManager","type":"module","doc":"QueueManager interacts with redis to dequeue jobs from the specified queue."},{"ref":"Verk.QueueManager.html#ack/2","title":"Verk.QueueManager.ack/2","type":"function","doc":"Acknowledge that a job was processed"},{"ref":"Verk.QueueManager.html#child_spec/1","title":"Verk.QueueManager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.QueueManager.html#dequeue/3","title":"Verk.QueueManager.dequeue/3","type":"function","doc":"Pop a job from the assigned queue and reply with it if not empty"},{"ref":"Verk.QueueManager.html#enqueue_inprogress/1","title":"Verk.QueueManager.enqueue_inprogress/1","type":"function","doc":"Enqueue inprogress jobs back to the queue"},{"ref":"Verk.QueueManager.html#init/1","title":"Verk.QueueManager.init/1","type":"function","doc":"Connect to redis"},{"ref":"Verk.QueueManager.html#malformed/2","title":"Verk.QueueManager.malformed/2","type":"function","doc":"Remove a malformed job from the inprogress queue"},{"ref":"Verk.QueueManager.html#name/1","title":"Verk.QueueManager.name/1","type":"function","doc":"Returns the atom that represents the QueueManager of the queue"},{"ref":"Verk.QueueManager.html#retry/5","title":"Verk.QueueManager.retry/5","type":"function","doc":"Add job to be retried in the assigned queue"},{"ref":"Verk.QueueStats.html","title":"Verk.QueueStats","type":"module","doc":"This process will update an :ets table with the following information per queue Current amount of running jobs Amount of finished jobs Amount of failed jobs It will persist to redis from time to time It also holds information about the current status of queus. They can be: running idle pausing paused"},{"ref":"Verk.QueueStats.html#all/1","title":"Verk.QueueStats.all/1","type":"function","doc":"Lists the queues and their stats searching for a prefix if provided"},{"ref":"Verk.QueueStats.html#handle_call/3","title":"Verk.QueueStats.handle_call/3","type":"function","doc":"Invoked to handle synchronous call/3 messages. call/3 will block until a reply is received (unless the call times out or nodes are disconnected). request is the request message sent by a call/3, from is a two-element tuple containing the caller&#39;s PID and a term that uniquely identifies the call, and state is the current state of the GenStage. Returning {:reply, reply, [events], new_state} sends the response reply to the caller after events are dispatched (or buffered) and continues the loop with new state new_state. In case you want to deliver the reply before processing events, use reply/2 and return {:noreply, [event], state}. Returning {:noreply, [event], new_state} does not send a response to the caller and processes the given events before continuing the loop with new state new_state. The response must be sent with reply/2. Hibernating is also supported as an atom to be returned from either :reply and :noreply tuples. Returning {:stop, reason, reply, new_state} stops the loop and terminate/2 is called with reason reason and state new_state. Then the reply is sent as the response to the call and the process exits with reason reason. Returning {:stop, reason, new_state} is similar to {:stop, reason, reply, new_state} except that no reply is sent to the caller. If this callback is not implemented, the default implementation by use GenStage will return {:stop, {:bad_call, request}, state}. Callback implementation for GenStage.handle_call/3."},{"ref":"Verk.QueueStats.html#handle_events/3","title":"Verk.QueueStats.handle_events/3","type":"function","doc":"Invoked on :producer_consumer and :consumer stages to handle events. Must always be explicitly implemented by such types. Return values are the same as c:handle_cast/2. Callback implementation for GenStage.handle_events/3."},{"ref":"Verk.QueueStatsCounters.html","title":"Verk.QueueStatsCounters","type":"module","doc":"This module is responsible for abstracting the logic of keeping counters for each queue."},{"ref":"Verk.QueueStatsCounters.html#all/1","title":"Verk.QueueStatsCounters.all/1","type":"function","doc":"It outputs the current stats about each queue and total and search for a prefix if provided"},{"ref":"Verk.QueueStatsCounters.html#init/0","title":"Verk.QueueStatsCounters.init/0","type":"function","doc":"Initializes the ets tables for the queue stats."},{"ref":"Verk.QueueStatsCounters.html#persist/0","title":"Verk.QueueStatsCounters.persist/0","type":"function","doc":"Saves processed and failed total counts to Redis."},{"ref":"Verk.QueueStatsCounters.html#register/2","title":"Verk.QueueStatsCounters.register/2","type":"function","doc":"Updates the counters according to the event that happened."},{"ref":"Verk.QueueStatsCounters.html#reset_started/1","title":"Verk.QueueStatsCounters.reset_started/1","type":"function","doc":"It Resets the started counter of a queue"},{"ref":"Verk.QueuesDrainer.html","title":"Verk.QueuesDrainer","type":"module","doc":"This process exists to pause queues once a shutdown is issued. Once all queues are paused the"},{"ref":"Verk.QueuesDrainer.html#child_spec/1","title":"Verk.QueuesDrainer.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.QueuesDrainer.html#init/1","title":"Verk.QueuesDrainer.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state}, except that it also sets a timeout. See the &quot;Timeouts&quot; section in the module documentation for more information. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Verk.QueuesDrainer.html#start_link/1","title":"Verk.QueuesDrainer.start_link/1","type":"function","doc":""},{"ref":"Verk.RetrySet.html","title":"Verk.RetrySet","type":"module","doc":"This module interacts with jobs in the retry set"},{"ref":"Verk.RetrySet.html#add/3","title":"Verk.RetrySet.add/3","type":"function","doc":"Adds a job to the retry set ordering by timestamp Optionally a redis connection can be specified"},{"ref":"Verk.RetrySet.html#add!/3","title":"Verk.RetrySet.add!/3","type":"function","doc":"Adds a job to the retry set ordering by timestamp, raising if there&#39;s an error Optionally a redis connection can be specified"},{"ref":"Verk.RetrySet.html#clear/1","title":"Verk.RetrySet.clear/1","type":"function","doc":"Clears the retry set It will return {:ok, true} if the retry set was cleared and {:ok, false} otherwise An error tuple may be returned if Redis failed"},{"ref":"Verk.RetrySet.html#clear!/1","title":"Verk.RetrySet.clear!/1","type":"function","doc":"Clears the retry set, raising if there&#39;s an error It will return true if the retry set was cleared and false otherwise"},{"ref":"Verk.RetrySet.html#count/1","title":"Verk.RetrySet.count/1","type":"function","doc":"Counts how many jobs are inside the retry set"},{"ref":"Verk.RetrySet.html#count!/1","title":"Verk.RetrySet.count!/1","type":"function","doc":"Counts how many jobs are inside the retry set, raising if there&#39;s an error"},{"ref":"Verk.RetrySet.html#delete_job/2","title":"Verk.RetrySet.delete_job/2","type":"function","doc":"Delete the job from the retry set It returns {:ok, true} if the job was found and deleted Otherwise it returns {:ok, false} An error tuple may be returned if Redis failed"},{"ref":"Verk.RetrySet.html#delete_job!/2","title":"Verk.RetrySet.delete_job!/2","type":"function","doc":"Delete the job from the retry set, raising if there&#39;s an error It returns true if the job was found and delete Otherwise it returns false"},{"ref":"Verk.RetrySet.html#key/0","title":"Verk.RetrySet.key/0","type":"function","doc":"Redis retry set key"},{"ref":"Verk.RetrySet.html#range/3","title":"Verk.RetrySet.range/3","type":"function","doc":"List jobs from start to stop"},{"ref":"Verk.RetrySet.html#range!/3","title":"Verk.RetrySet.range!/3","type":"function","doc":"List jobs from start to stop, raising if there&#39;s an error"},{"ref":"Verk.RetrySet.html#range_with_score/3","title":"Verk.RetrySet.range_with_score/3","type":"function","doc":"List jobs from start to stop including their scores"},{"ref":"Verk.RetrySet.html#range_with_score!/3","title":"Verk.RetrySet.range_with_score!/3","type":"function","doc":"List jobs from start to stop including their scores, raising if there&#39;s an error"},{"ref":"Verk.RetrySet.html#requeue_job/2","title":"Verk.RetrySet.requeue_job/2","type":"function","doc":"Move the job out of the retry set to be retried immediately It returns {:ok, true} if the job was found and requeued Otherwise it returns {:ok, false} An error tuple may be returned if Redis failed"},{"ref":"Verk.RetrySet.html#requeue_job!/2","title":"Verk.RetrySet.requeue_job!/2","type":"function","doc":"Move the job out of the retry set to be retried immediately, raising if there&#39;s an error It returns true if the job was found and requeued Otherwise it returns false"},{"ref":"Verk.ScheduleManager.html","title":"Verk.ScheduleManager","type":"module","doc":"The ScheduleManager looks for jobs to be retried and accept jobs to scheduled to be retried The job is added back to the queue when it&#39;s ready to be run or retried"},{"ref":"Verk.ScheduleManager.html#child_spec/1","title":"Verk.ScheduleManager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.ScheduleManager.html#handle_info/2","title":"Verk.ScheduleManager.handle_info/2","type":"function","doc":"Search for scheduled jobs to be done and if removal succeeds enqueue the job"},{"ref":"Verk.ScheduleManager.html#init/1","title":"Verk.ScheduleManager.init/1","type":"function","doc":"Connect to redis and timeout with the poll_interval"},{"ref":"Verk.Scripts.html","title":"Verk.Scripts","type":"module","doc":"Provides helpers to load lua scripts into redis and calculate sha1"},{"ref":"Verk.Scripts.html#load/1","title":"Verk.Scripts.load/1","type":"function","doc":""},{"ref":"Verk.Scripts.html#sha/1","title":"Verk.Scripts.sha/1","type":"function","doc":""},{"ref":"Verk.SortedSet.html","title":"Verk.SortedSet","type":"module","doc":"This module interacts with the jobs on a sorted set"},{"ref":"Verk.SortedSet.html#clear/2","title":"Verk.SortedSet.clear/2","type":"function","doc":"Clears the sorted set It will return {:ok, true} if the sorted set was cleared and {:ok, false} otherwise An error tuple may be returned if Redis failed"},{"ref":"Verk.SortedSet.html#clear!/2","title":"Verk.SortedSet.clear!/2","type":"function","doc":"Clears the sorted set, raising if there&#39;s an error It will return true if the sorted set was cleared and false otherwise"},{"ref":"Verk.SortedSet.html#count/2","title":"Verk.SortedSet.count/2","type":"function","doc":"Counts how many jobs are inside the sorted set"},{"ref":"Verk.SortedSet.html#count!/2","title":"Verk.SortedSet.count!/2","type":"function","doc":"Counts how many jobs are inside the sorted set, raising if there&#39;s an error"},{"ref":"Verk.SortedSet.html#delete_job/3","title":"Verk.SortedSet.delete_job/3","type":"function","doc":"Deletes the job from the sorted set It returns {:ok, true} if the job was found and deleted Otherwise it returns {:ok, false} An error tuple may be returned if Redis failed"},{"ref":"Verk.SortedSet.html#delete_job!/3","title":"Verk.SortedSet.delete_job!/3","type":"function","doc":"Deletes the job from the sorted set, raising if there&#39;s an error It returns true if the job was found and delete Otherwise it returns false"},{"ref":"Verk.SortedSet.html#range/4","title":"Verk.SortedSet.range/4","type":"function","doc":"Lists jobs from start to stop"},{"ref":"Verk.SortedSet.html#range!/4","title":"Verk.SortedSet.range!/4","type":"function","doc":"Lists jobs from start to stop, raising if there&#39;s an error"},{"ref":"Verk.SortedSet.html#range_with_score/4","title":"Verk.SortedSet.range_with_score/4","type":"function","doc":"Lists jobs from start to stop along with the item scores"},{"ref":"Verk.SortedSet.html#range_with_score!/4","title":"Verk.SortedSet.range_with_score!/4","type":"function","doc":"Lists jobs from start to stop along with the item scores, raising if there&#39;s an error"},{"ref":"Verk.SortedSet.html#requeue_job/3","title":"Verk.SortedSet.requeue_job/3","type":"function","doc":"Moves the job from the sorted set back to its original queue It returns {:ok, true} if the job was found and requeued Otherwise it returns {:ok, false} An error tuple may be returned if Redis failed"},{"ref":"Verk.SortedSet.html#requeue_job!/3","title":"Verk.SortedSet.requeue_job!/3","type":"function","doc":"Moves the job from the sorted set back to its original queue, raising if there&#39;s an error It returns true if the job was found and requeued Otherwise it returns false"},{"ref":"Verk.Stats.html","title":"Verk.Stats","type":"module","doc":"Basic stats for Verk"},{"ref":"Verk.Stats.html#queue_total/2","title":"Verk.Stats.queue_total/2","type":"function","doc":"Total amount of processed and failed jobs for a single queue"},{"ref":"Verk.Stats.html#total/1","title":"Verk.Stats.total/1","type":"function","doc":"Total amount of processed and failed jobs"},{"ref":"Verk.Supervisor.html","title":"Verk.Supervisor","type":"module","doc":"Supervisor definition for Verk application. It consists of: Verk.ScheduleManager GenStage producer named Verk.EventProducer GenStage consumer Verk.QueueStats Redis connectionn named Verk.Redis A Verk.Queue.Supervisor per queue"},{"ref":"Verk.Supervisor.html#child_spec/1","title":"Verk.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.Supervisor.html#start_link/1","title":"Verk.Supervisor.start_link/1","type":"function","doc":"It starts the main supervisor"},{"ref":"Verk.Time.html","title":"Verk.Time","type":"module","doc":"Internal API for time management and comparison functions"},{"ref":"Verk.Time.html#after?/2","title":"Verk.Time.after?/2","type":"function","doc":"returns true if the first argument occurred after the second argument"},{"ref":"Verk.Time.html#diff/3","title":"Verk.Time.diff/3","type":"function","doc":"Returns the number of indicated units that separate the two timestamps. A positive result indicates that datetime2 occurred after datetime1."},{"ref":"Verk.Time.html#shift/3","title":"Verk.Time.shift/3","type":"function","doc":"Moves DateTime supplied the indicated amount of time. Supported units are those specified by System.time_unit"},{"ref":"Verk.Worker.html","title":"Verk.Worker","type":"module","doc":"Worker executes the job, messages the manager when it&#39;s done and shutdowns"},{"ref":"Verk.Worker.html#child_spec/1","title":"Verk.Worker.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.Worker.html#current_job/0","title":"Verk.Worker.current_job/0","type":"function","doc":"Get the current job that the worker is running"},{"ref":"Verk.Worker.html#perform_async/3","title":"Verk.Worker.perform_async/3","type":"function","doc":"Ask the worker to perform the job"},{"ref":"Verk.WorkersManager.html","title":"Verk.WorkersManager","type":"module","doc":"A WorkersManager assign jobs to workers from a pool (handled by poolboy) monitoring the job. It interacts with the related QueueManager to request jobs and to schedule jobs to be retried"},{"ref":"Verk.WorkersManager.html#child_spec/1","title":"Verk.WorkersManager.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Verk.WorkersManager.html#init/1","title":"Verk.WorkersManager.init/1","type":"function","doc":"Create a table to monitor workers saving data about the assigned queue/pool"},{"ref":"Verk.WorkersManager.html#inspect_worker/2","title":"Verk.WorkersManager.inspect_worker/2","type":"function","doc":"List information about the process that is currently running a job_id"},{"ref":"Verk.WorkersManager.html#name/1","title":"Verk.WorkersManager.name/1","type":"function","doc":"Returns the atom that represents the WorkersManager of the queue"},{"ref":"Verk.WorkersManager.html#pause/1","title":"Verk.WorkersManager.pause/1","type":"function","doc":"Pauses a queue"},{"ref":"Verk.WorkersManager.html#resume/1","title":"Verk.WorkersManager.resume/1","type":"function","doc":"Resumes a queue."},{"ref":"Verk.WorkersManager.html#running_jobs/2","title":"Verk.WorkersManager.running_jobs/2","type":"function","doc":"List running jobs Example: [%{process: #PID&lt;0.186.0&gt;, job: %Verk.Job{...}, started_at: %DateTime{...}} ]"}]